## org.eclipse.emf.ecore.xmi.impl
Class XMISaveImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl
          org.eclipse.emf.ecore.xmi.impl.XMISaveImpl

All Implemented Interfaces:
  XMLSave

Direct Known Subclasses:
  EMOFSaveImpl

    public class XMISaveImpl

extends XMLSaveImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl
`XMLSaveImpl.Escape, XMLSaveImpl.Lookup, XMLSaveImpl.XMLTypeInfoImpl`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLSave
`XMLSave.XMLTypeInfo`

Field Summary
`protected static java.lang.String` `XMI_ID_NS`
`protected static java.lang.String` `XMI_TAG_NS`
`protected static java.lang.String` `XMI_TYPE_NS`
`protected static java.lang.String` `XMI_VER_NS`
`protected static java.lang.String` `XMI_XMLNS`
`protected boolean` `xmiType`
`protected java.lang.String` `xmiURI`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl

`anySimpleType, anyType, ATTRIBUTE_FEATURE_MAP, CONTENT_ELEMENT, CROSS_DOC, currentNode, DATATYPE_ATTRIBUTE_MANY, DATATYPE_CONTENT_SINGLE, DATATYPE_ELEMENT_SINGLE, DATATYPE_MANY, DATATYPE_SINGLE, DATATYPE_SINGLE_NILLABLE, declareSchemaLocation, declareSchemaLocationImplementation, declareXML, declareXSI, doc, document, ELEMENT_FEATURE_MAP, elementHandler, EMPTY_ELEMENT, encoding, eObjectToExtensionMap, escape, escapeURI, extendedMetaData, featureTable, flushThreshold, handler, helper, idAttributeName, idAttributeNS, INDEX_LOOKUP, keepDefaults, map, nameInfo, OBJECT_ATTRIBUTE_IDREF_MANY, OBJECT_ATTRIBUTE_IDREF_SINGLE, OBJECT_ATTRIBUTE_MANY, OBJECT_ATTRIBUTE_SINGLE, OBJECT_CONTAIN_MANY, OBJECT_CONTAIN_MANY_UNSETTABLE, OBJECT_CONTAIN_SINGLE, OBJECT_CONTAIN_SINGLE_UNSETTABLE, OBJECT_ELEMENT_IDREF_MANY, OBJECT_ELEMENT_IDREF_SINGLE, OBJECT_ELEMENT_IDREF_SINGLE_UNSETTABLE, OBJECT_ELEMENT_MANY, OBJECT_ELEMENT_SINGLE, OBJECT_ELEMENT_SINGLE_UNSETTABLE, OBJECT_HREF_MANY, OBJECT_HREF_MANY_UNSETTABLE, OBJECT_HREF_SINGLE, OBJECT_HREF_SINGLE_UNSETTABLE, processDanglingHREF, resourceEntityHandler, root, roots, SAME_DOC, saveTypeInfo, SKIP, toDOM, TRANSIENT, useCache, useEncodedAttributeStyle, XML_VERSION, xmlResource, xmlSchemaTypePackage, xmlTypeInfo, xmlVersion, XSI_NIL, XSI_NO_NAMESPACE_SCHEMA_LOCATION, XSI_SCHEMA_LOCATION, XSI_TYPE_NS, XSI_XMLNS`

Constructor Summary
`XMISaveImpl(java.util.Map<?,?> options, XMLHelper helper, java.lang.String encoding)`
`XMISaveImpl(java.util.Map<?,?> options, XMLHelper helper, java.lang.String encoding, java.lang.String xmlVersion)`
`XMISaveImpl(XMLHelper helper)`

Method Summary
`void` `addNamespaceDeclarations()`
`protected void` `init(XMLResource resource, java.util.Map<?,?> options)`
`boolean` `isDuplicateURI(java.lang.String nsURI)`
`protected void` `saveFeatureMapElementReference(EObject o, EReference f)`
`protected void` `saveTypeAttribute(EClass eClass)`
`java.lang.Object` `writeTopObjects(java.util.List<? extends EObject> contents)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl

`addDoctypeInformation, convertURI, endSave, endSaveFeatures, getContent, getDataTypeElementSingleSimple, getDatatypeValue, getElementIDRefManySimple, getElementIDRefSingleSimple, getElementReferenceManySimple, getElementReferenceSingleSimple, getSchemaLocationRoot, isEmpty, isNil, processAttributeExtensions, processElementExtensions, sameDocMany, sameDocSingle, save, save, save, saveAttributeFeatureMap, saveContainedMany, saveContainedSingle, saveDataTypeAttributeMany, saveDataTypeElementSingle, saveDataTypeMany, saveDataTypeSingle, saveElement, saveElement, saveElement, saveElementFeatureMap, saveElementID, saveElementIDRef, saveElementIDRef, saveElementIDRefMany, saveElementIDRefSingle, saveElementReference, saveElementReferenceMany, saveElementReferenceSingle, saveEObjectMany, saveEObjectSingle, saveFeatures, saveHref, saveHRefMany, saveHRefSingle, saveIDRefMany, saveIDRefSingle, saveManyEmpty, saveManyEmpty, saveNil, saveNil, saveTypeAttribute, shouldSaveFeature, toChar, traverse, write, write, writeAscii, writeTopAttributes, writeTopElements, writeTopObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmiType

    protected boolean xmiType

### xmiURI

    protected java.lang.String xmiURI

### XMI_ID_NS

    protected static final java.lang.String XMI_ID_NS

See Also:
  Constant Field Values

### XMI_TAG_NS

    protected static final java.lang.String XMI_TAG_NS

See Also:
  Constant Field Values

### XMI_TYPE_NS

    protected static final java.lang.String XMI_TYPE_NS

See Also:
  Constant Field Values

### XMI_VER_NS

    protected static final java.lang.String XMI_VER_NS

See Also:
  Constant Field Values

### XMI_XMLNS

    protected static final java.lang.String XMI_XMLNS

See Also:
  Constant Field Values

Constructor Detail

### XMISaveImpl

    public XMISaveImpl(XMLHelper helper)

### XMISaveImpl

    public XMISaveImpl(java.util.Map<?,?> options,
                       XMLHelper helper,
                       java.lang.String encoding)

### XMISaveImpl

    public XMISaveImpl(java.util.Map<?,?> options,
                       XMLHelper helper,
                       java.lang.String encoding,
                       java.lang.String xmlVersion)

Method Detail

### init

    protected void init(XMLResource resource,
                        java.util.Map<?,?> options)

  Overrides:
    `init` in class `XMLSaveImpl`

### writeTopObjects

    public java.lang.Object writeTopObjects(java.util.List<? extends EObject> contents)

  Overrides:
    `writeTopObjects` in class `XMLSaveImpl`

### saveTypeAttribute

    protected void saveTypeAttribute(EClass eClass)

  Overrides:
    `saveTypeAttribute` in class `XMLSaveImpl`

### addNamespaceDeclarations

    public void addNamespaceDeclarations()

  Overrides:
    `addNamespaceDeclarations` in class `XMLSaveImpl`

### isDuplicateURI

    public boolean isDuplicateURI(java.lang.String nsURI)

  Overrides:
    `isDuplicateURI` in class `XMLSaveImpl`

### saveFeatureMapElementReference

    protected void saveFeatureMapElementReference(EObject o,
                                                  EReference f)

  Overrides:
    `saveFeatureMapElementReference` in class `XMLSaveImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.